Skip to main content
GET
/
api
/
v1
/
schedules
/
{id}
Get schedule
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/schedules/{id} \
  --header 'Authorization: Bearer <token>'
{
  "executions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "pending",
      "completed_at": "2023-11-07T05:31:56Z",
      "error": "<string>",
      "scheduled_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "task_id": "<string>"
    }
  ],
  "schedule": {
    "consecutive_failures": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "execution_count": 123,
    "failure_count": 123,
    "frequency_description": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "schedule_type": "recurring",
    "status": "active",
    "updated_at": "2023-11-07T05:31:56Z",
    "custom_weekdays": [
      123
    ],
    "direct_agent_id": "<string>",
    "file_keys": [
      "<string>"
    ],
    "hourly_frequency": 123,
    "last_executed_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "next_execution_at": "2023-11-07T05:31:56Z",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "reporting_mode": "full",
    "scan_frequency": "hourly",
    "secrets": [
      "<string>"
    ],
    "selected_chat_model": "auto",
    "selected_visibility_type": "public",
    "source_task_id": "<string>",
    "start_time": "<string>",
    "user_query": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Schedule ID

Response

Schedule details with execution history

executions
object[]
required
schedule
object
required